Skip to main content
POST
Create IDP user attribute mapping

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string<uuid>
required

The ID of the identity provider or HRIS app.

Body

application/json

Information needed to create an IdpUserAttributeMapping.

key
string
required

The attribute key in the identity provider or HRIS.

Required string length: 1 - 255
Example:

"managerEmail"

use_as
enum<string>
required

The Opal user field an imported IDP or HRIS attribute is stored in.

Available options:
CUSTOM,
EMAIL,
FIRST_NAME,
LAST_NAME,
PROFILE_URL,
TITLE,
TEAM,
MANAGER_EMAIL,
SECONDARY_EMAIL,
GITHUB_USERNAME,
TELEPORT_USERNAME
Example:

"MANAGER_EMAIL"

Response

The created user attribute mapping.

IdpUserAttributeMapping Object

Description

An attribute Opal imports from an identity provider or HRIS app, and the Opal user field it is stored in. A CUSTOM mapping is imported as a user tag.

id
string<uuid>
required

The ID of the mapping.

Example:

"1b978423-db0a-4037-a4cf-f79c60cb67b3"

app_id
string<uuid>
required

The ID of the identity provider or HRIS app.

Example:

"32acc112-21ff-4669-91c2-21e27683eaa1"

key
string
required

The attribute key in the identity provider or HRIS.

Example:

"managerEmail"

use_as
enum<string>
required

The Opal user field an imported IDP or HRIS attribute is stored in.

Available options:
CUSTOM,
EMAIL,
FIRST_NAME,
LAST_NAME,
PROFILE_URL,
TITLE,
TEAM,
MANAGER_EMAIL,
SECONDARY_EMAIL,
GITHUB_USERNAME,
TELEPORT_USERNAME
Example:

"MANAGER_EMAIL"